> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gominerva.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List screening webhooks

> The **GET** method on the resource group will list screening webhooks that have been previously created in the tenant of the requester. This can be used to extract a list of screening webhooks to review the current webhooks that are in place for the tenant for reference or cleanup purposes.



## OpenAPI

````yaml /api-reference/admin-api.json get /v2/webhooks/screening
openapi: 3.0.0
info:
  version: 1.0.0
  title: MinervaAI Admin API
  description: Admin endpoints for the Minerva application suite
servers:
  - url: https://admin-api.gominerva.com
    description: The instance of admin-api to send the Swagger test requests to
security:
  - ApiKeyAuth: []
tags: []
paths:
  /v2/webhooks/screening:
    get:
      tags:
        - Screening Webhooks
      summary: List screening webhooks
      description: >-
        The **GET** method on the resource group will list screening webhooks
        that have been previously created in the tenant of the requester. This
        can be used to extract a list of screening webhooks to review the
        current webhooks that are in place for the tenant for reference or
        cleanup purposes.
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
          description: The current page cursor to fetch, starting at 1
        - in: query
          name: perPage
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          description: The number of records to fetch per page
      responses:
        '200':
          description: Successful response with paginated webhooks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookListResponse'
              example:
                records:
                  - id: ecc9b161-e6bf-48e4-816d-b13046a42eaa
                    webhookName: Test webhook
                    webhookKey: e7b3b2f0-8e17-40a5-a083-2234c6bc9dab
                    events:
                      - kind: profile_status_updated
                        values:
                          - potential_match
                          - accepted
                          - rejected
                    url: https://your.web.site/path
                totalRecords: 1
                totalPages: 1
        '400':
          description: Invalid page or perPage query parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: API key invalid or insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookListResponse:
      type: object
      description: Paginated list of webhooks
      properties:
        records:
          type: array
          description: Array of webhook records
          items:
            $ref: '#/components/schemas/ScreeningEventWebhook'
        totalRecords:
          type: integer
          description: Total number of records
          example: 5
        totalPages:
          type: integer
          description: Total number of pages
          example: 1
      required:
        - records
        - totalRecords
        - totalPages
    ApiError:
      type: object
      description: Standard API error response
      properties:
        status:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad request
        code:
          type: string
          description: Error code
          example: VALIDATION_ERROR
      required:
        - status
        - message
    ScreeningEventWebhook:
      type: object
      description: A webhook configuration for screening events
      properties:
        id:
          type: string
          format: uuid
          description: The unique internal identifier for the webhook
          example: ecc9b161-e6bf-48e4-816d-b13046a42eaa
        webhookName:
          type: string
          description: The name of the webhook as assigned by the creator
          example: Test webhook
        webhookKey:
          type: string
          format: uuid
          description: >-
            The unique key for the webhook which the receiver uses to
            authenticate
          example: e7b3b2f0-8e17-40a5-a083-2234c6bc9dab
        events:
          type: array
          description: An array of event configurations
          items:
            type: object
            properties:
              kind:
                $ref: '#/components/schemas/ScreeningEventKind'
              values:
                type: array
                items:
                  $ref: '#/components/schemas/ScreeningEventValue'
            required:
              - kind
              - values
        url:
          type: string
          format: uri
          description: >-
            The URL that the webhook should POST to when the event conditions
            are met. This should be a url that includes the full protocol,
            hostname, and path. For best security, ensure that you are using an
            HTTPS-secured endpoint on your server to receive the webhook POST
            requests.
          example: https://your.web.site/path
      required:
        - id
        - webhookName
        - webhookKey
        - events
        - url
    ScreeningEventKind:
      type: string
      enum:
        - profile_status_updated
      description: >-
        The kind of the event to subscribe to. Currently only
        "profile_status_updated" is supported. For dashboard setup guidance, see
        the API Keys documentation in the API Reference.
      example: profile_status_updated
    ScreeningEventValue:
      type: string
      enum:
        - potential_match
        - accepted
        - rejected
      description: >-
        The required values for the event that should be subscribed to. These
        should equal the desired values of the event subject for the event to
        trigger. For example for event kind "profile_status_updated", this can
        be ["accepted", "rejected"] to listen for profile status updates to
        "accepted" OR "rejected" status.
      example: potential_match
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Admin API key for authentication. Manage API keys in the Minerva
        dashboard under Administration > Developers.

````